# -*- coding: iso-8859-1 -*-
#
# $Id: MultipleChoiceAnswer.py,v 1.4 2005/05/20 10:11:15 mxp Exp $
#
# Copyright  2004 Otto-von-Guericke-Universitt Magdeburg
#
# This file is part of LlsMultipleChoice.
#
# LlsMultipleChoice is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LlsMultipleChoice is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LlsMultipleChoice; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from AccessControl import ClassSecurityInfo

from Products.Archetypes.public import BaseSchema, Schema, BooleanField, StringField, TextField, SelectionWidget, TextAreaWidget, RichWidget, BaseContent, registerType
from Products.Archetypes.Widget import TypesWidget, IntegerWidget, BooleanWidget, StringWidget

from Products.LlsMultipleChoice.config import PROJECTNAME, SKINS_DIR, \
    QUESTION_DIR, QUESTION_TYPES, ANSWER_DIR, \
    ANSWER_TYPES, GLOBALS, PERMISSION_INTERROGATOR, \
    PERMISSION_STUDENT, I18N_DOMAIN
from Products.LlsMultipleChoice.tools import log
from Products.LlsMultipleChoice.AnswerTypes.CorrectAnswer import CorrectAnswer

class MultipleChoiceAnswer(CorrectAnswer):
    """ An answer to a multiple choice test question.
    """
    
    meta_type = portal_type = archetype_name = 'MC Answer'
    

# Register this type in Zope
try:
    registerType(MultipleChoiceAnswer)
    log('Worked: registerType(MultipleChoiceAnswer)\n')
except Exception, e:
    log('Failed: registerType(MultipleChoiceAnswer): ' + unicode(e) + '\n')
    raise e